# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Pod-MinimumVersion
Version:	50
Release:	6.%{__distinit}%{__distvers}
Summary:	Perl version for POD directives used
License:	GPLv3+
Group:		Development/Libraries
URL:		http://user42.tuxfamily.org/pod-minimumversion/index.html
Source0:	http://search.cpan.org/CPAN/authors/id/K/KR/KRYDE/Pod-MinimumVersion-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# See Makefile.PL for dependencies; META.yml is out-dated.
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(IO::String) >= 1.02
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Pod::Parser)
BuildRequires:	perl(version)
# Tests only
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Test)
# Run-time
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(IO::String) >= 1.02
# This module has been divided from perl-Perl-Critic-Pulp
Conflicts:	perl-Perl-Critic-Pulp < 49

%description
Pod::MinimumVersion parses the POD in a Perl script, module, or document,
and reports what version of Perl is required to process the directives in
it with pod2man etc.

%prep
%setup -q -n Pod-MinimumVersion-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes COPYING
%{_bindir}/pod-minimumversion
%{perl_vendorlib}/Pod/
%{_mandir}/man1/pod-minimumversion.1*
%{_mandir}/man3/Pod::MinimumVersion.3pm*
%{_mandir}/man3/Pod::MinimumVersion::Parser.3pm*
%{_mandir}/man3/Pod::MinimumVersion::Report.3pm*

%changelog
* Tue Jun 26 2012 Paul Howarth <paul@city-fan.org> - 50-6
- Import from Fedora

* Fri Jun 08 2012 Petr Pisar <ppisar@redhat.com> - 50-5
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 50-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jun 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 50-3
- Perl mass rebuild

* Thu Apr 21 2011 Petr Pisar <ppisar@redhat.com> - 50-2
- Split from perl-Perl-Critic-Pulp, conficts with old perl-Perl-Critic-Pulp
  versions

* Wed Apr 06 2011 Petr Pisar <ppisar@redhat.com> - 50-1
- Specfile autogenerated by cpanspec 1.78
- Remove BuildRoot stuff
